### 目录
* [语言无关](#语言无关)
	* [在线教育](#在线教育)
	* [软件开发方法](#软件开发方法)
	* [操作系统](#操作系统)
	* [版本控制](#版本控制)
	* [数据库](#数据库)
    * [智能系统](#智能系统)
    * [正则表达式](#正则表达式)
* [C](#c)
* [C++](#c-1)
* [CoffeeScript](#coffeescript)
* [Erlang](#erlang)
* [Fortran](#fortran)
* [Golang](#golang)
* [Haskell](#haskell)
* [HTML / CSS](#html--css)
* [JavaScript](#javascript)
* [LaTeX](#latex)
* [LISP](#lisp)
* [Markdown](#markdown)
* [Node.js](#nodejs)
* [Perl](#perl)
* [Python](#python)
* [R](#r)
* [reStructuredText](#restructuredtext)
* [Ruby](#ruby)
* [Scala](#scala)
* [Scheme](#scheme)
* [Shell](#shell)
* [Swift](#swift)
* [Vim](#vim)
* [Visual Prolog](#visual-prolog)


### 语言无关

#### 在线教育
* [MIT 公开课](http://ocw.mit.edu/courses/translated-courses/simplified-chinese/)
* [Coursera](https://www.coursera.org/courses?orderby=upcoming&lngs=zh)
* [Udacity](https://www.udacity.com/)
* [xuetangX](https://www.xuetangx.com/)
* [Codecademy](http://www.codecademy.com/?locale_code=zh)
* [CodeSchool](https://www.codeschool.com/)
* [TeamTreeHouse](http://teamtreehouse.com/)
* [Learn X in Y minutes](http://learnxinyminutes.com/) (数十种语言快速入门教程)


#### 软件开发方法
* [硝烟中的 Scrum 和 XP](http://www.infoq.com/cn/minibooks/scrum-xp-from-the-trenches)
* [傻瓜函数编程](https://github.com/justinyhuang/Functional-Programming-For-The-Rest-of-Us-Cn) (《Functional Programming For The Rest of Us》中文版)


#### 操作系统
* [UNIX TOOLBOX](http://cb.vu/unixtoolbox_zh_CN.xhtml)
* [Linux Guide for Complete Beginners](http://happypeter.github.io/LGCB/book/)


#### 版本控制
* [Pro Git](http://git-scm.com/book/zh)
* [Git magic](http://www-cs-students.stanford.edu/~blynn/gitmagic/intl/zh_cn/)
* [Git - 简易指南](http://rogerdudler.github.io/git-guide/index.zh.html)
* [Git 参考手册](http://gitref.justjavac.com/)
* [沉浸式学 Git](http://igit.linuxtoy.org/index.html)
* [Got GitHub](https://github.com/gotgit/gotgithub)
* [Git Community Book 中文版](http://gitbook.liuhui998.com/)
* [学习 Git 分支](http://pcottle.github.io/learnGitBranching/) (点击右下角按钮可切换至简体及正体中文)


#### 数据库
* [The Little MongoDB Book 中文版](https://github.com/justinyhuang/the-little-mongodb-book-cn)
* [Redis 设计与实现](http://www.redisbook.com)


#### 智能系统
* [一步步搭建物联网系统](https://github.com/gmszone/designiot)


#### 正则表达式
* [正则表达式30分钟入门教程](http://deerchao.net/tutorials/regex/regex.htm)



### C
* [新概念 C 语言教程](https://github.com/limingth/NCCL)
* [C 语言常见问题集](http://c-faq-chn.sourceforge.net/ccfaq/ccfaq.html)
* [C/C++ 学习教程](http://doc.lellansin.com/)


### C++
* [C++ 基础教程](http://www.prglab.com/cms/)
* [像计算机科学家一样思考（C++版)](http://www.ituring.com.cn/book/1203) (《How To Think Like a Computer Scientist: C++ Version》中文版)
* [C++ Template 进阶指南](https://github.com/wuye9036/CppTemplateTutorial)
* [C++ 并发编程指南](https://github.com/forhappy/A-Detailed-Cplusplus-Concurrency-Tutorial)


### CoffeeScript
* [CoffeeScript 中文](http://coffee-script.org/)
* [CoffeeScript 中文手册](http://island205.github.io/tlboc/) (《The Little Book on CoffeeScript》中文版)
* [CoffeeScript Cookbook](http://island205.github.io/coffeescript-cookbook.github.com/)
* [CoffeeScript 编程风格指南](https://github.com/elrrrrrrr/coffeescript-style-guide/blob/master/README-ZH.md)


### Erlang
* [Erlang 并发编程](https://github.com/liancheng/cpie-cn) (《Concurrent Programming in Erlang (Part I)》中文版)


### Fortran
* [Fortran77和90/95编程入门](http://micro.ustc.edu.cn/Fortran/ZJDing/)


### Golang
* [Go Web 编程](https://github.com/astaxie/build-web-application-with-golang)
* [Go 编程基础](https://github.com/Unknwon/go-fundamental-programming)
* [Go 入门指南](https://github.com/Unknwon/the-way-to-go_ZH_CN) (《The Way to Go》中文版)
* [学习 Go 语言](https://github.com/mikespook/Learning-Go-zh-cn)
* [Go 指南](http://go-tour-zh.appsp0t.com/) (《A Tour of Go》中文版)


### Haskell
* [Real World Haskell 中文版](http://rwh.readthedocs.org/en/latest/)
* [Haskell 趣学指南](http://learnyouahaskell-zh-tw.csie.org/)


### HTML / CSS
* [学习 CSS 布局](http://zh.learnlayout.com/)
* [HTML5 教程](http://www.w3school.com.cn/html5/)


### Javascript
* [Javascript Garden](http://bonsaiden.github.io/JavaScript-Garden/zh/)
* [Javascript 原理](http://typeof.net/s/jsmech/)


### LaTeX
* [一份不太简短的 LaTeX2ε 介绍](http://ctan.org/pkg/lshort-zh-cn)
* [LaTeX 笔记](http://www.dralpha.com/zh/tech/tech.htm)
* [大家來學 LaTeX](http://web.math.isu.edu.tw/yeh/HowTo/HowToTex/latex123.pdf)


### LISP
* [ANSI Common Lisp 中文翻译版](http://acl.readthedocs.org/en/latest/)
* [Common Lisp 高级编程技术](http://www.ituring.com.cn/minibook/862) (《On Lisp》中文版)


### Markdown
* [Markdown 快速入门](http://wowubuntu.com/markdown/basic.html)
* [Markdown 语法说明](http://wowubuntu.com/markdown/)
* [Markdown 简明教程](http://jianshu.io/p/7bd23251da0a)
* [献给写作者的 Markdown 新手指南](http://jianshu.io/p/q81RER)


### Node.js
* [The NodeJS 中文](https://www.gitbook.io/book/0532/nodejs)
* [Node 入门](http://www.nodebeginner.org/index-zh-cn.html)


### Perl
* [Master Perl Today](https://github.com/fayland/chinese-perl-book)
* [《Modern Perl》中文版](https://github.com/horus/modern_perl_book)
* [Perl 5 教程](http://www.cbi.pku.edu.cn/chinese/documents/perl/index.htm)
* [Perl 教程](http://www.yiibai.com/perl)


### Python
* [深入 Python](http://woodpecker.org.cn/diveintopython/)
* [笨办法学 Python](http://sebug.net/paper/books/LearnPythonTheHardWay/)
* [简明 Python 教程](http://woodpecker.org.cn/abyteofpython_cn/chinese/) (《A Byte of Python》中文版)
* [Django book 2.0](http://djangobook.py3k.cn/2.0/)


### R
* [R 导论](http://cran.r-project.org/doc/contrib/Ding-R-intro_cn.pdf) (《An Introduction to R》中文版)
* [153分钟学会 R ](http://cran.r-project.org/doc/contrib/Liu-FAQ.pdf)
* [《R for beginners》中文版](http://www.biosino.org/R/R-doc/files/R4beg_cn_2.0.pdf)
* [统计学与 R 读书笔记](http://cran.r-project.org/doc/contrib/Xu-Statistics_and_R.pdf)
* [用 R 构建 Shiny 应用程序](http://yanping.me/shiny-tutorial/) (《Building 'Shiny' Applications with R》中文版)


### reStructuredText
* [reStructuredText 入门](http://www.pythondoc.com/sphinx/rest.html)
* [reStructuredText 简明教程](http://jwch.sdut.edu.cn/book/rst.html)


### Ruby
* [Ruby 风格指南](https://github.com/JuanitoFatas/ruby-style-guide/blob/master/README-zhCN.md)
* [Rails 风格指南](https://github.com/JuanitoFatas/rails-style-guide/blob/master/README-zhCN.md)
* [笨方法学 Ruby](http://lrthw.github.io/)
* [Ruby on Rails Tutorial 原书第 2 版](http://railstutorial-china.org/)


### Scala
* [Effective Scala](http://twitter.github.io/effectivescala/index-cn.html)
* [Scala 课堂](http://twitter.github.io/scala_school/zh_cn/index.html) (Twitter的Scala中文教程)


### Scheme
* [Scheme 入门教程](http://deathking.github.io/yast-cn/) (《Yet Another Scheme Tutorial》中文版)
* [算法语言Scheme修订<sup>6</sup>报告](http://r6rs.mrliu.org/)（R<sup>6</sup>RS简体中文翻译）


### Shell
* [Shell 脚本编程30分钟入门](https://github.com/qinjx/30min_guides/blob/master/shell.md)
* [Shell 编程基础](http://wiki.ubuntu.org.cn/Shell%E7%BC%96%E7%A8%8B%E5%9F%BA%E7%A1%80)


### Swift
* [《The Swift Programming Language》中文版](https://www.gitbook.io/book/numbbbbb/-the-swift-programming-language-)


### Vim
* [大家來學 VIM](http://www.study-area.org/tips/vim/index.html)


### Visual Prolog
* [Visual Prolog 7边练边学](http://wiki.visual-prolog.com/index.php?title=Visual_Prolog_for_Tyros_in_Chinese)
* [Visual Prolog 7初学指南](http://wiki.visual-prolog.com/index.php?title=A_Beginners_Guide_to_Visual_Prolog_in_Chinese)
